Package logilab :: Package common :: Package ureports :: Module nodes :: Class VerbatimText

[frames] | no frames]

# Class VerbatimText

source code

              object --+
                       |
               tree.Node --+
                           |
              object --+   |
                       |   |
    visitor.VisitedMixIn --+
                           |
                  tree.VNode --+
                               |
                   BaseComponent --+
                                   |
                                Text --+
                                       |
                                      VerbatimText

    a verbatim text, display the raw data

    attributes :
    * BaseComponent attributes
    * data : the text value as an encoded or unicode string

Instance Methods

Inherited from `Text`: `__init__`

Inherited from `tree.Node`: `__iter__`, `__str__`, `append`, `depth`, `depth_down`, `flatten`, `get_child_by_id`, `get_child_by_path`, `get_node_by_id`, `get_sibling`, `insert`, `is_leaf`, `leaves`, `lineage`, `next_sibling`, `previous_sibling`, `remove`, `replace`, `root`, `width`

Inherited from `visitor.VisitedMixIn`: `accept`, `get_visit_name`, `leave`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`